Bug 34299

Summary: [BREWMP] Port Screen
Product: WebKit Reporter: Kwang Yul Seo <skyul>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Other   
Bug Depends on:    
Bug Blocks: 33564    
Attachments:
Description Flags
Port Screen none

Description Kwang Yul Seo 2010-01-28 19:06:51 PST
Get the screen size and depth from the main display bitmap.
Comment 1 Kwang Yul Seo 2010-01-28 19:28:57 PST
Created attachment 47666 [details]
Port Screen
Comment 2 Eric Seidel (no email) 2010-02-01 15:48:48 PST
Comment on attachment 47666 [details]
Port Screen

OK.
Comment 3 Eric Seidel (no email) 2010-02-01 15:49:46 PST
Comment on attachment 47666 [details]
Port Screen

Are these supposed to be free functions?  That seems strange.  Seems they should be static functions on a Screen class.
Comment 4 Kwang Yul Seo 2010-02-01 16:40:33 PST
I agree, but they are free functions at the moment.
Comment 5 WebKit Commit Bot 2010-02-02 04:27:25 PST
Comment on attachment 47666 [details]
Port Screen

Clearing flags on attachment: 47666

Committed r54226: <http://trac.webkit.org/changeset/54226>
Comment 6 WebKit Commit Bot 2010-02-02 04:27:31 PST
All reviewed patches have been landed.  Closing bug.